LABINVENT (Inventirap) - Evolution #1852
pour savoir ki a fe koi
01/30/2014 04:46 pm - Etienne Pallier

Status: Fermé Start date: 01/30/2014
Priority: Normal Due date:

Assignee: Etienne Pallier % Done: 0%
Category: Estimated time: 0.00 hour
Target version: version 1.3 Spent time: 1.00 hour
Description

de maniére générale, on a aucun moyen de savoir KI A FE KOI, c'est trés embétant... :
impossible de savoir qui :

- a créé un matériel

- a créeé une fiche suivi

- a créé une fiche emprunt

ce qui est mentionné dans chacune de ces 3 tables (sauf suivi), c'est qui est désigné comme "responsable” (du matériel ou de
I'emprunt),
mais n'importe qui peut créer une fiche et I'affecter a quelqu'un d'autre sans qu'on sache qui a créé cette fiche.

Pour corriger ¢a, c'est facile, il suffirait d'ajouter le champ "nom_createur" (et éventuellement "email_createur") dans les 3 tables :
- materiel

- suivis

- emprunts

History

#1 - 01/30/2014 04:48 pm - Etienne Pallier

de maniére générale, on a aucun moyen de savoir KI A FE KOI, c'est trés embétant... :
impossible de savoir qui :

- a créé un matériel

- a créé une fiche suivi

- a créé une fiche emprunt

ce qui est mentionné dans chacune de ces 3 tables (sauf suivi), c'est qui est désigné comme "responsable” (du matériel ou de I'emprunt),

mais n'importe qui peut créer une fiche et I'affecter a quelqu'un d'autre sans qu'on sache qui a créé cette fiche.

Pour corriger ¢a, c'est facile, il suffirait d'ajouter le champ "nom_createur" (et éventuellement "email_createur") dans les 3 tables :
- materiel
- suivis

- emprunts

Dans la table "suivis", ajouter aussi un champ "nom_demandeur" pour qu'on sache qui est a l'initiative (et responsable) de la demande de suivi (car ¢a

peut tres bien étre quelgqu'un d'autre que le createur de la fiche...)

#2 - 02/20/2014 05:10 pm - Etienne Pallier

- Assignee set to Etienne Pallier

#3 - 02/20/2014 05:10 pm - Etienne Pallier

- Status changed from Nouveau to Fermé
